import { marker as _ } from '@biesbjerg/ngx-translate-extract-marker';
import { AnnotationWrapper } from '@models/file/annotation.wrapper';
import { KeysOf } from '@iqser/common-ui/lib/utils';

export const annotationChangesTranslations: { [key in KeysOf<AnnotationWrapper>]?: string } = {
    hasBeenResized: _('annotation-changes.resized'),
    hasBeenRecategorized: _('annotation-changes.recategorized'),
    hasLegalBasisChanged: _('annotation-changes.legal-basis'),
    hasBeenForcedRedaction: _('annotation-changes.forced-redaction'),
    hasBeenForcedHint: _('annotation-changes.forced-hint'),
    hasBeenRemovedByManualOverride: _('annotation-changes.removed-manual'),
} as const;
